"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
const graphql_yoga_1 = require("graphql-yoga");
function start(options, module) {
    const params = _.merge(options, module.options);
    const server = new graphql_yoga_1.GraphQLServer({
        mocks: module.mocks,
        schema: module.schema,
        context: module.context,
        middlewares: module.middlewares,
        schemaDirectives: module.schemaDirectives,
    });
    module.router && server.express.use(module.router);
    return new Promise((resolve, reject) => {
        server.start(params, () => resolve(server));
    });
}
exports.start = start;
